--local BadelineDummy = require("#celeste.BadelineDummy")

local celeste = require("#celeste")
local celesteMod = celeste.mod
local csharpVector2 = require("#microsoft.xna.framework.vector2")
local engine = require("#monocle.engine")

function spawnBadelineDummy(x,y, relativeToPlayer)
	if relativeToPlayer then
		x = player.Position.X + x
		y = player.Position.Y + y
	end
	badeline = celeste.BadelineDummy(vector2(x, y))
	engine.Scene:Add(badeline)
	badeline.Floatness = 4
	badeline:Appear(engine.Scene, false)
	return badeline
end

function spawnLightning(x,y, loudness)
	if not loudness then
		loudness = 0.3
	end
	l = lightningStrike(vector2(x,y), math.random(0,12345), math.random(100,260), 0)
	engine.Scene:Add(l)
	local audio = celeste.Audio.Play("event:/new_content/game/10_farewell/lightning_strike", vector2(x,y))
	audio:setVolume(loudness)
	
	return l
end
